GOLeaves {GOstats} | R Documentation

## DEPRECATED Identify the leaves in a GO Graph

### Description

This function is DEPRECATED. Use the `leaves` function in the graph package instead. See the example below.

Given a GO graph this function returns the node labels for all leaves in the graph. A leaf is defined to be a node with only out-edges and no in-edges.

### Usage

    GOLeaves(inG)

### Arguments

`inG` | An instance of a GO graph.

### Details

All nodes in `inG` are inspected for in-edges and those with none are returned.

This should probably be replaced by a function in the graph package that identifies leaves, there is nothing special about GO here.

### Value

A vector of the node labels for those nodes with no in-edges.

### Author(s)

R. Gentleman

### See Also

`makeGOGraph`

### Examples

     g1 <- oneGOGraph("GO:0003680", GOMFPARENTS)
     g2 <- oneGOGraph("GO:0003701", GOMFPARENTS)
     g3 <- join(g1, g2)
     leaves(g3, "in")

[Package GOstats version 2.8.0 Index]